﻿.index-products-box{
    width: 100%;
    display: block;
    position: relative;
}
.index-products-all-box{
    width: 1300px;
    max-width: 100%;
    display: block;
    position: relative;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding: 75px 0;
}
.index-products-info{
    width: 280px;
    display: inline-block;
    vertical-align: top;
    margin-right: 60px;
    transition: all .3s linear;
}
.index-products-info:nth-child(4n){
    margin-right: 0;
}
.index-products-info:nth-child(n + 5){
    margin-top: 70px;
}
.index-products-info-img{
    width: 100%;
    height: 300px;
    display: block;
    overflow: hidden;
    position: relative;
}
.index-products-info-name{
    width: 100%;
    display: block;
    text-align: center;
    font-size: 16px;
    line-height: 20px;
    color: #000;
    letter-spacing: 0.1em;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    box-sizing: border-box;
    padding: 10px 5px;
    margin-top: 5px;
}
.index-products-info-price{
    font-family: 'Roboto';
    font-weight: 500;
    font-size: 18px;
    letter-spacing: 0.1em;
    line-height: 40px;
    color: #e5076e;
    text-align: center;
    box-sizing: border-box;
    padding: 0 5px;
}


@media only screen and (max-width: 1580px){
    .index-products-all-box{
        width: 1100px;
    }
    .index-products-info{
        width: 245px;
        margin-right: 40px;
    }
    .index-products-info:nth-child(n + 5) {
        margin-top: 50px;
    }
    .index-products-info-img{
        height: calc((300 / 280) * 245px);
    }
}
@media only screen and (max-width: 1380px){
    .index-products-all-box{
        width: 920px;
    }
    .index-products-info{
        width: 215px;
        margin-right: 20px;
    }
    .index-products-info:nth-child(n + 5) {
        margin-top: 30px;
    }
    .index-products-info-img{
        height: calc((300 / 280) * 210px);
    }
}
@media only screen and (max-width: 1200px){
    .index-products-all-box{
        width: 740px;
    }
    .index-products-info{
        width: 170px;
    }
    .index-products-info-img{
        height: calc((300 / 280) * 170px);
    }
    .index-products-info-name{
        font-size: 14px;
        margin-top: 0;
    }
    .index-products-info-price{
        line-height: 30px;
    }
}
@media only screen and (max-width: 1000px){
    .index-products-all-box{
        width: 540px;
        padding: 45px 0;
    }
    .index-products-info:nth-child(n){
        width: 170px;
        margin-right: 15px;
    }
    .index-products-info:nth-child(3n){
        margin-right: 0;
    }
    .index-products-info:nth-child(n + 4){
        margin-top: 25px;
    }
}

@media only screen and (max-width: 550px){
    .index-products-all-box{
        width: 400px;
        padding: 20px 0;
    }
    .index-products-info:nth-child(n){
        width: 190px;
        margin-right: 20px;
    }
    .index-products-info:nth-child(2n){
        margin-right: 0;
    }
    .index-products-info:nth-child(n + 3){
        margin-top: 20px;
    }
    .index-products-info-img{
        height: calc((300 / 280) * 190px);
    }
}
@media only screen and (max-width: 400px){
    .index-products-all-box{
        width: 95vw;
    }
    .index-products-info:nth-child(n){
        width: calc((100% - 10px) / 2);
        margin-right: 10px;
    }
    .index-products-info:nth-child(2n){
        margin-right: 0;
    }
    .index-products-info:nth-child(n + 3){
        margin-top: 10px;
    }
    .index-products-info-img{
        height: calc((300 / 280) * ((95vw - 10px) / 2));
    }
    .index-products-info-name{
        font-size: 12px;
        line-height: 1.4;
        padding: 5px 0;
    }
    .index-products-info-price{
        font-size: 14px;
        line-height: 24px;
    }
}


@media only screen and (min-width: 1001px){
    .index-products-info:hover .main-bg{
        transform: scale(1.1);
    }
    .index-products-info:hover{
        box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
    }

    /* .index-products-info{
        opacity: 0;
    }
    .index-products-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    } */
}